Arduino

Reference Language | Libraries | Comparison | Changes

#### Wire.onRequest(handler)

#### Description

Register a function to be called when a master requests data from this slave device.

#### Parameters

handler: the function to be called, takes no parameters and returns nothing, e.g.: `void myHandler()`

#### Returns

None

#### See Also

- Wire.onReceive()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes